{
  pkgs,
  lib,
  inputs,
  config,
  ...
}: let
  program = "devtoolbox";
  app_id = "me.iepure.devtoolbox";
  origin = "flathub";
  cfg = config.dots.${program};
  home_dir = config.home.homeDirectory;
in {
  options.dots.${program} = {
    enable = lib.mkEnableOption "enables ${program}";
  };

  config = lib.mkIf cfg.enable {

    services.flatpak.packages = [
      { appId = app_id; origin = origin;}
      app_id
    ];

  };
}
